<?php
/* 
Copyright (C) 2008  Bob Pepin

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA

All Drupal code is Copyright 2001 - 2008 by the original authors.
Drupal is a registered trademark of Dries Buytaert.
*/

require_once "theme-support.inc";
require_once "theme.inc";

function variable_get($var, $default) {
  if($var == "theme_default")
    return "garland";
  return $default;
}

function theme_menu_local_tasks() {
  return "theme_menu_local_tasks";
}

function menu_get_menus() {
  return array("test");
}

function t($str) {
  return $str;
}

/**
 * Returns the base URL path of the Drupal installation.
 * At the very least, this will always default to /.
 */
function base_path() {
  return "";
}

function block_list($region) {
  return array();
}

function drupal_get_content($region) {
  if($region == "header") return null;
  return "drupal_get_content $region";
}

function drupal_is_front_page() {
  return true;
}

function drupal_get_title() {
  return "drupal_get_title";
}

function drupal_get_breadcrumb() {
  return array("breadcrumb1", "breadcrumb2");
}

function drupal_get_feeds() {
  return "drupal_get_feeds";
}

function menu_get_active_help() {
  return "";
}

function drupal_get_messages($display = null) {
  return array(array("drupal_get_messages"));
}

function menu_primary_links() {
  return array(array("title" => "Primary foo", "href" => "foo.html"),
	       array("title" => "Primary bar", "href" => "bar.html"));
}

function menu_secondary_links() {
  return array(array("title" => "Secondary foo", "href" => "foo.html"),
	       array("title" => "Secondary bar", "href" => "bar.html"));
}

function menu_get_object() {
  return null;
}


/**
 * Returns the rendered local tasks at the top level.
 */
function menu_primary_local_tasks() {
  return "menu_primary_local_tasks";
}

/**
 * Returns the rendered local tasks at the second level.
 */
function menu_secondary_local_tasks() {
  return "menu_secondary_local_tasks";
}


ini_set("html_errors", false);

init_theme();
print theme("page", "<div>Content</div>");

?>